%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%q =50kw/m2, u =0.40m/s, 19, 8deg 30 Bubbles Arbitary up to 3.6ms VS 19, 8deg 3 Bubbles up to
%3.6ms VS 120, 115deg 3 Bubbles up to 3.6ms




clear all
clc



SinglePhaseQ50U040 = xlsread('HTC_q_50_u40_30Arb_AllCases_GraphMatlabb.xlsx','Sheet1_8Bub_19deg','H3:I103');
ThetaA_19_R_8deg_SingleBubble = xlsread('HTC_q_50_u40_30Arb_AllCases_GraphMatlabb.xlsx','Sheet1_8Bub_19deg','V3:W103');
ThetaA_120_R_115deg_SingleBubble = xlsread('HTC_q_50_u40_30Arb_AllCases_GraphMatlabb.xlsx','Sheet1_8Bub_120_115deg','V3:W103');
ThetaA_19_R_8deg_30Arbitary_UpTo8p4ms = xlsread('HTC_q_50_u40_30Arb_AllCases_GraphMatlabb.xlsx','Sheet2_30Arb_19deg','BF3:BG103');
ThetaA_120_R_115deg_30Arbitary_UpTo8p4ms = xlsread('HTC_q_50_u40_30Arb_AllCases_GraphMatlabb.xlsx','Sheet2_30Arb_120_115deg','BF3:BG103');
%ThetaA_120_R_115deg_4thBubble = xlsread('Area_HTC_q_50_u40_120_115deg_2ndAllCases_ForFinalMatlab.xlsx','Sheet1','AX3:AY103');
%ThetaA_19_R_8deg_5thBubble = xlsread('Area_HTC_q_50_u40_120_115deg_2ndAllCases_ForFinalMatlab.xlsx','Sheet1','BG3:BH103');
%ThetaA_120_R_115deg2nd = xlsread('HTC_q_50_u40_2ndAllCases_ForFinalMatlab.xlsx','Sheet1','BW3:BX103');

y1 = SinglePhaseQ50U040(:,1); %Normal Case
x1 = SinglePhaseQ50U040(:,2);

y2 = ThetaA_19_R_8deg_SingleBubble(:,1);%Advancing 19, Receding 8deg, Single Bubble 
x2 = ThetaA_19_R_8deg_SingleBubble(:,2);

y3 = ThetaA_120_R_115deg_SingleBubble (:,1); %A 19, R 8deg, 1st Bubble, 0.1-1.1ms 
x3 = ThetaA_120_R_115deg_SingleBubble (:,2);



y6 = ThetaA_19_R_8deg_30Arbitary_UpTo8p4ms(:,1);  %A 19, R 8deg, 4th Bubble, 3.6-4.7ms 
x6 = ThetaA_19_R_8deg_30Arbitary_UpTo8p4ms(:,2);

y7 = ThetaA_120_R_115deg_30Arbitary_UpTo8p4ms(:,1); %A 19, R 8deg, 5th Bubble, 4.8-5.9ms 
x7 = ThetaA_120_R_115deg_30Arbitary_UpTo8p4ms(:,2);




%y8 = ThetaA_120_R_115deg2nd(:,1); %Advancing 120, Receding 115deg, 2nd Bubble 
%x8 = ThetaA_120_R_115deg2nd(:,2);



 %h = plot(x1,y1);
 %set(h, {'color'}, num2cell(jet(length(ii)), 2));
 
 
 
 
 


%Single Phase

h1=plot(x1,y1,'r--','LineWidth',1.5,...
    'MarkerSize',6);

% https://www.mathworks.com/examples/matlab/mw/graphics-ex04650873-specify-marker-size-and-color


title('q"=50 kW/m^2, G=295 Kg/m^{2}s')
%set(get(gca,'title'),'Position',[0.30, 10.2, 0])
xlabel('$\mathrm{L^*}$','Interpreter','latex')
ylabel('Time Averaged Nu','Interpreter','latex')
grid

hold on


%ThetaA_19_R_8deg

h2=plot(x2,y2,'k:','LineWidth',1.4,...
  'MarkerSize',6);


hold on


%ThetaA_49_R_0deg

h3=plot (x3,y3,'g', 'LineWidth',1.4,...
   'MarkerSize',6);


hold on 



%hold on


%ThetaA_120_R_80deg

%plot (x6,y6,'-.','Color',[1 0.86 0],'LineWidth',1.4,...
%    'MarkerSize',6 );

plot (x6,y6,'k-.','LineWidth',1.4,...
    'MarkerSize',6 );



%h6=plot (x6,y6,'-.','Color',[0.1 0.6 0.33], 'LineWidth',1.4,...
% 'MarkerSize',6 )

%'Color',[0.84 0.42 0.12]   % Chocolate
%'Color',[0.872 0.66 0.128]   % Goldenrod
%'Color',[1.02 0.86 0]   % Gold
%'Color',[1.02 0.66 0]   % Orange
%'Color',[0 0.556 0.556]   % Dark Cyan
%'Color',[0.2 0.82 0.2]   % Lime green
%'Color',[0.34 0.428 0.188]   % Dark olive green
%'Color',[0.692 1.02 0.188]   % Green yellow



%hold off


plot (x7,y7,'-.','Color',[1 0.66 0], 'LineWidth',1.1,...
   'MarkerSize',6 );







%RGB Colors
%https://uk.mathworks.com/matlabcentral/answers/151011-how-to-plot-a-line-of-a-certian-color
%https://uk.mathworks.com/matlabcentral/answers/444972-making-plots-look-beautiful
%The RGB colors should be divided by /255
%ColorCode  = [148 130 78]./255; % Dividing 255 gives you the 0-1 value. 
%hPlot2.Color = ColorCode;


%hold off




%plot (x8,y8,'k-.', 'LineWidth',1.1,...
%   'MarkerSize',6 )








%hold off


Int_SinglePhase = trapz(x1,y1);

Int_19_R_8deg_Single_Bubble = trapz(x2,y2);
 
Int_120_R_115deg_Single_Bubble = trapz(x3,y3);
 
   
Int_19_R_8deg_30Arbitary_UpTo8p4ms = trapz(x6,y6);
    
Int_120_R_115deg_30Arbitary_UpTo8p4ms= trapz(x7,y7);

%Int_120_115deg_2nd = trapz(x8,y8);    
 


%shade(t,y1,t,y2,'FillType',[1 2;2 1]);


%area(x1,y1)
%trapz(y1,x1)



%area(x2,y2)
%trapz(y2,x2)
 


%area(x3,y3)
%trapz(y3,x3)



%area(x4,y4)
%trapz(y4,x4)

%area(x5,y5)
%trapz(y5,x5)


%area(x6,y6)
%trapz(y6,x6)

%area(x7,y7)
%trapz(y7,x7)




%chH = get(gca,'Children')
%plot(gca,'Children',[chH(end);chH(1:end-1)])



%Set a line on top of another


%{  
%area(x8,y8)
%trapz(y8,x8)
uistack(h6,'top')
uistack(h5,'top')
uistack(h4,'top')
uistack(h3,'top')
uistack(h2,'top')

uistack(h1,'top')
uistack(h2,'top')
uistack(h3,'top')
uistack(h4,'top')
uistack(h5,'top')
uistack(h6,'top')

%}









aa_SnglPhase_VS_19_R_8deg__Sngl_Bub = (Int_19_R_8deg_Single_Bubble - Int_SinglePhase) / Int_SinglePhase*100;
ab_SnglPhase_VS_120_R_115deg_Sngl_Bub = (Int_120_R_115deg_Single_Bubble - Int_SinglePhase) / Int_SinglePhase*100;


ae_SnglPhase_VS_19deg_29Arb_UpTo8p4ms = (Int_19_R_8deg_30Arbitary_UpTo8p4ms  - Int_SinglePhase) / Int_SinglePhase*100;
af_SnglPhase_VS_120_115deg_29Bubl_UpTo8p4ms = (Int_120_R_115deg_30Arbitary_UpTo8p4ms - Int_SinglePhase) / Int_SinglePhase*100;



%ac_19deg_3Bubl_UpTo8p4ms_VS_19deg_30Arb_UpTo8p4ms = ( Int_19_R_8deg_30Arbitary_UpTo8p4ms - Int_19_R_8deg_3Bubl_UpTo8p4ms )/Int_19_R_8deg_3Bubl_UpTo8p4ms *100;
%ad_120deg_3Bubl_UpTo8p4ms_VS_19deg_30Arb_UpTo8p4ms = ( Int_19_R_8deg_30Arbitary_UpTo8p4ms - Int_120_R_115deg_3Bubl_UpTo8p4ms)/Int_120_R_115deg_3Bubl_UpTo8p4ms *100;


%ae_19deg_30Arb_UpTo8p4ms_VS_19deg_30Arb_UpTo8p4ms = ( Int_19_R_8deg_30Arbitary_UpTo8p4ms - Int_120_R_115deg_30Arbitary_UpTo8p4ms )/Int_120_R_115deg_30Arbitary_UpTo8p4ms *100;
%af_120_115deg_30Arb_UpTo8p4ms_VS_19deg_30Arb_UpTo8p4ms = ( Int_19_R_8deg_30Arbitary_UpTo8p4ms - Int_120_R_115deg_3Bubl_UpTo8p4ms)/Int_120_R_115deg_3Bubl_UpTo8p4ms *100;



%ag_30Arb_Hydrophilic_VS_30Arb_Hydrophobic_VS = ( Int_19_R_8deg_30Arbitary_UpTo8p4ms - Int_120_R_115deg_30Arbitary_UpTo8p4ms )/Int_120_R_115deg_30Arbitary_UpTo8p4ms *100;


%ae_FourthFifth = (Int_120_R_115deg_4thBubble - Int_120_R_115deg_3rdBubble)/ Int_120_R_115deg_3rdBubble*100;
%af_SingleFifth = (Int_120_R_115deg_4thBubble - Int_SinglePhase)/ Int_SinglePhase*100;
%ag_FirstFifth  = (Int_120_R_115deg_4thBubble - Int_19_R_8deg_1stBubble)/ Int_19_R_8deg_1stBubble*100;


  
 

%xlim([0 6.3])
%ylim([0 1.05])  % With command Increased the y Axis from 1 to 1.05

legend({'Single Phase', 'H-philic, Single nucl. event, 0-3.1ms$^{A}$','H-phobic, Single nucl. event, 0-2.2ms$^{A}$','H-philic, 29 nucl. sites, 0-8.4ms$^{B}$', 'H-phobic, 29 nucl. sites, 0-8.4ms$^{B}$'},'FontSize', 11,'Interpreter','latex')
%legend({'Single Phase', '$H-philic $, Single nucl. event, 0-3.1ms$^{A}$','$H-drophobic $, Single nucl. event, 0-2.2ms$^{A}$','$ H-philic $, 4 nucl. cycle, 0-8.4ms$^{B}$','$ \theta_a = 120^{\circ} $, $ \theta_r = 115^{\circ} $, 4Bubbles, 0-8.4ms$^{B}$','$ \theta_a = 19^{\circ} $, $ \theta_r = 8^{\circ} $, 30Arbitary, 0-8.4ms$^{C}$', '$ \theta_a = 120^{\circ} $, $ \theta_r = 115^{\circ} $, 30Arbitary, 0-8.4ms$^{C}$'},'FontSize', 11,'Interpreter','latex')


print -depsc2 q50_u040_19deg_30Arbit_4Cases.eps 
%print ('-dpng','Areas_q50_u040_19_8deg_2ndBubble.png', '-r1200')
print ('-dpng','q50_u040_19deg_30Arbit_4cases.png', '-r1200')