clear all
clc


SinglePhaseQ20U040 = xlsread('HTC_q_20_u40_AllCasesM.xlsx','Sheet1','H3:I103');
ThetaA_19_R_8deg = xlsread('HTC_q_20_u40_AllCasesM.xlsx','Sheet1','AC3:AD103');
ThetaA_49_R_0deg = xlsread('HTC_q_20_u40_AllCasesM.xlsx','Sheet1','AJ3:AK103');
ThetaA_70_R_40deg = xlsread('HTC_q_20_u40_AllCasesM.xlsx','Sheet1','AQ3:AR103');
ThetaA_101_R_95deg = xlsread('HTC_q_20_u40_AllCasesM.xlsx','Sheet1','AY3:AZ103');
ThetaA_120_R_80deg = xlsread('HTC_q_20_u40_AllCasesM.xlsx','Sheet1','BF3:BG103');
ThetaA_120_R_115deg = xlsread('HTC_q_20_u40_AllCasesM.xlsx','Sheet1','BM3:BN103');


y1 = SinglePhaseQ20U040(:,1); %Normal Case
x1 = SinglePhaseQ20U040(:,2);

y2 = ThetaA_19_R_8deg (:,1); %Advancing 19, Receding 8deg 
x2 = ThetaA_19_R_8deg (:,2);

y3 = ThetaA_49_R_0deg(:,1);  %Advancing 49, Receding 0deg 
x3 = ThetaA_49_R_0deg(:,2);

y4 = ThetaA_70_R_40deg(:,1);  %Advancing 70, Receding 0deg 
x4 = ThetaA_70_R_40deg(:,2);

y5 = ThetaA_101_R_95deg(:,1);  %Advancing 101, Receding 95deg 
x5 = ThetaA_101_R_95deg(:,2);

y6 = ThetaA_120_R_80deg(:,1); %Advancing 120, Receding 80deg 
x6 = ThetaA_120_R_80deg(:,2);

y7 = ThetaA_120_R_115deg(:,1); %Advancing 120, Receding 115deg 
x7 = ThetaA_120_R_115deg(:,2);



 %h = plot(x1,y1);
 %set(h, {'color'}, num2cell(jet(length(ii)), 2));
 
 
 
 
 



plot(x1,y1,'r--','LineWidth',1.5,...
    'MarkerSize',6)

% https://www.mathworks.com/examples/matlab/mw/graphics-ex04650873-specify-marker-size-and-color

title('q"=20 kW/m^2, G=295 kg/m^{2}s')
set(get(gca,'title'),'Position',[0.25, 14.2, 0])
xlabel('$\mathrm{L^*} [-]$', 'FontSize', 13,'Interpreter','latex')
ylabel('$\mathrm{\overline{Nu}(\chi)} [-]$', 'FontSize', 13,'Interpreter','latex')

set(gca,'FontSize',11.5)

grid




hold on



plot(x2,y2,'b-','LineWidth',1.1,...
   'MarkerSize',6)


hold on



plot (x3,y3,'g-', 'LineWidth',1.1,...
    'MarkerSize',6)


hold on 

plot (x4,y4,'Color',[0.872 0.66 0.128], 'LineWidth',1.1,...
    'MarkerSize',6 )


hold on

plot (x5,y5,'k-.', 'LineWidth',1.1,...
   'MarkerSize',6 )


hold on

plot (x6,y6,'-.','Color',[1 0.86 0], 'LineWidth',1.1,...
   'MarkerSize',6 )



hold on


plot (x7,y7,'-.','Color',[0.872 0.66 0.128], 'LineWidth',1.1,...
   'MarkerSize',6 )


hold on


Int_SinglePhase = trapz(x1,y1)

Int_19_8deg = trapz(x2,y2)
 
Int_49_0deg = trapz(x3,y3)
 
Int_70_40deg = trapz(x4,y4)
  
Int_101_95deg = trapz(x5,y5)
   
Int_120_80deg = trapz(x6,y6)
    
Int_120_115deg = trapz(x7,y7)
     
   


aa_SinglePhase_VS_19_8deg = (Int_19_8deg - Int_SinglePhase) / Int_SinglePhase*100;
ab_SinglePhase_VS_49_0deg = (Int_49_0deg - Int_SinglePhase)/ Int_SinglePhase*100;
ac_SinglePhase_VS_70_40deg = (Int_70_40deg - Int_SinglePhase)/ Int_SinglePhase*100;
ad_SinglePhase_VS_101_95deg = (Int_101_95deg - Int_SinglePhase)/ Int_SinglePhase*100;
af_SinglePhase_VS_120_80deg = (Int_120_80deg - Int_SinglePhase)/ Int_SinglePhase*100;
ag_SinglePhase_VS_120_115deg = (Int_120_115deg - Int_SinglePhase)/ Int_SinglePhase*100;



 
%area(x1,y1)
%trapz(y1,x1)


%area(x2,y2)
%trapz(y2,x2)

%area(x3,y3)
%trapz(y3,x3)

%area(x4,y4)
%trapz(y4,x4)

%area(x5,y5)
%trapz(y5,x5)

%area(x6,y6)
%trapz(y6,x6)

%area(x7,y7)
%trapz(y7,x7)




 

%xlim([0 6.3])
ylim([5 15.5])  % With command Increased the y Axis from 1 to 1.05

legend({'$\mathrm{Single \ Phase}$','$ \theta_a = 19^{\circ} $, $ \theta_r = 8^{\circ} $','$ \theta_a = 49^{\circ} $, $ \theta_r = 0^{\circ} $','$ \theta_a = 70^{\circ} $, $ \theta_r = 40^{\circ} $','$ \theta_a = 101^{\circ} $, $ \theta_r = 95^{\circ} $','$ \theta_a = 120^{\circ} $, $ \theta_r = 80^{\circ} $','$ \theta_a = 120^{\circ} $, $ \theta_r = 115^{\circ} $'},'FontSize', 12,'Interpreter','latex')


print -depsc2 HTC_q_20_u40_AllCases_Areaa.eps


print ('-dpng','HTC_q_20_u40_AllCases_Areaa.png', '-r1200')




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%